%addPaths
%This script adds all paths of the GSIP-library to the current paths. This
%should allways be done before testing an example.
%It is important that the current path is ...\GSIPProblems


wd = pwd;
fs = filesep;
%Add the uppest folder
addpath(strcat(wd, ';'), ...
        0);

lastwarn('')
%Add all Problems
addpath(strcat(wd, fs,'ImplicitProblems;'),...
    strcat(wd,fs, 'ImplicitProblems',fs,'ConsistencyChecks;'),...
    strcat(wd,fs, 'ImplicitProblems',fs,'ConsistencyChecks',fs,'AuxiliaryFcts;'),...
    strcat(wd,fs, 'ImplicitProblems',fs,'AuxiliaryFcts;'),...
    strcat(wd,fs, 'ImplicitProblems',fs,'Containers;'),...
    strcat(wd,fs, 'ImplicitProblems',fs,'Designs;'),...
    strcat(wd,fs, 'Examples;'),...
    0);
if isempty(lastwarn)
    disp('Problems sucessfully loaded')
else
    lastwarn('')
end

